<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOnlineServicesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('online_services', function (Blueprint $table) {
            $table->id();
            $table->string('title');
            $table->string('full_name');
            $table->string('occupation');
            $table->string('institution')->nullable();
            $table->string('membership_number')->nullable();
            $table->string('mailing');
            $table->string('town');
            $table->string('country');
            $table->string('telephone');
            $table->string('fax')->nullable();
            $table->string('email');
            $table->string('member_confirm')->default('No');
            $table->string('paper_confirm')->default('No');
            $table->string('paper_title')->nullable();
            $table->string('payment_mode');
            $table->string('mobile_agent')->nullable();
            $table->string('bank_slip')->nullable();
            $table->string('hotel')->nullable();
            $table->string('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('online_services');
    }
}
